[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'sysutils' (#rtl)

# TLongBoolHelper.Parse

Convert string value to LongBool value.

## Declaration

Source position: syshelph.inc line 673

`public class function TLongBoolHelper.Parse(`
`const S: string`
`):Boolean;`

## Description

Parse attempts to convert the string S to a LongBool value. It uses the StrToBool function to perform the conversion.

## Errors

If S does not contain a valid string representation, then an EConvertError exception is raised.

## See also

TLongBoolHelper.TryToParse |  | Try to convert a string to a LongBool value
TLongBoolHelper.ToString |  | Convert a LongBool value to string.
TLongBoolHelper.ToInteger |  | Convert to an integer value